Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.exception
Class ExtIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.bouncycastle.jce.exception.ExtIOException

All Implemented Interfaces:
  java.io.Serializable, ExtException

    public class ExtIOException

extends java.io.IOException
implements ExtException

See Also:
  Serialized Form

Constructor Summary
`ExtIOException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` `getCause()` Returns the cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtIOException

    public ExtIOException(java.lang.String message,
                          java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Description copied from interface: `ExtException`
  Returns the cause of the exception.

  Specified by:
    `getCause` in interface `ExtException`
  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    The cause of the exception.

Bouncy Castle Cryptography Library 1.45